Har du udfordringer med din WordPress hjemmeside, fordi den ikke lever op til PHP 7.2? Du er ikke den eneste.

Du har sikkert fået beskeden:

“Den 3. december 2018 fjerner vi PHP version 5.6 og 7.0 fra vores servere. Alle webhoteller, der bruger disse versioner på det pågældende tidspunkt, opdateres til PHP 7.2.”

Kilde: https://blog.one.com/da/vi-opdater-php-til-version-7-2/

Denne artikel er skrevet til dig som har udfordringer med din WordPress hjemmeside, og har brug for en hjælpende hånd.

3. december bryder din hjemmeside sammen

Den 3. December stopper din WordPress hjemmeside måske med at virke. Undgå dit værste mareridt og få den opdateret til den nyeste version PHP 7.2 nu, inden det er for sent at bygge videre på din nuværende og derved spare tid.

Ca. 62 procent af alle websider køre en ikke-supporteret PHP-version – Læs artiklen her.

 

Red din hjemmeside

One.com, Unoeuro og andre webhosting services fjerner PHP 5.6 og 7.0

Den 3. december 2018 fjerner One.com PHP version 5.6 og 7.0 fra deres servere. Alle der har en WordPress hjemmeside med disse PHP versioner, opdateres ganske automatisk til PHP 7.2. Det er simpelthen fordi, at de gamle PHP version udgår.

Er din hjemmeside påvirket af opdateringen?

Hvis du har en helt almindelig hjemmeside, der ikke er lavet i WordPress eller baseret på sproget PHP, påvirker din hjemmeside ikke. Men er din hjemmeside lavet i WordPress, Joomla eller mange af de mest populære CMS, så er der stor sandsynlighed for, at din hjemmeside påvirkes, såfremt den er af ældre dato.

Om dit websted påvirkes eller ej afhænger i høj grad af, om du har opdateret dit CMS og dine plugins til den nyeste version for nylig. Hvis du jævnligt opdaterer dit websted, bør PHP-opdateringen ikke være noget problem, tværtimod. Opdateringen kan forbedre ydeevnen for din hjemmeside, især hvis det kører på WordPress.

Hvis din hjemmeside er lavet i WordPress, stopper den med at fungerer i PHP 5.6 og op til PHP 7.0.

Du har 3 muligheder for at løse udfordringen

  1. Forsøg selv at gøre hjemmesiden kompatibel
  2. Få hjælp til at gøre hjemmesiden kompatibel
  3. Hvis punkt 1 & 2 ikke virker, kan jeg hjælpe dig over i temaet DIVI – det vil du IKKE fortryde.

Punkt 1 og 2 vil bevare dit nuværende setup i WordPress. Punkt 3 er en fornyelse af din eksisterende hjemmeside, hvilket er en billig hjemmesideløsning, hvis man fx arbejder ud fra din eksisterende side. Det kan også være en fordel at arbejde direkte indefra din hjemmeside, hvis der er arbejdet meget med SEO eller andre grene af online markedsføring.

1. Forsøg selv at opdatere alle versioner af WordPress, temaer og plugins.

Hvordan kan du gøre din WordPress hjemmeside kompatibel med PHP 7.2?

Opdater alt til den nyeste version, inklusive dine plugins og temaer. Vær dog opmærksom på, at hvis du ikke har vedligeholdt din hjemmeside i lang tid, er der risiko for komplikationer. Jeg har set det rigtig mange gange, og hjulpet et hav af fortvivlede selvstændige.

Bruger du den nyeste version af dit CMS og har alligevel problemer? Så skyldes det højst sandsynligt et plugin eller et tema. Du kan finde ud af, hvad der er årsag til problemerne ved at deaktivere alle plugins og temaer, der ikke er installeret som standard. Herefter skal du opdatere PHP til 7.2 og derefter genaktivere alle plugins og temaer igen.

Hvis du bruger PHP-kode på dit websted, der er skræddersyet til dit websted, er opdateringen lidt mere vanskelig. Koden skal med stor sandsynlighed skrives på ny af en udvikler for at gøre den kompatibel.

Der er ingen garanti for at det virker, når dit setup er fuldt opdateret. Det afhænger særligt af dit tema og dine plugins.

2. Er ovenstående volapyk? Så kan du få hjælp af mig og spare dine bekymringer

Tiden løber fra os, og der er ikke tid til at tøve.

Du kan få hurtig hjælp af mig, hvor jeg først laver en diagnosticering for at se om det overhoved kan lade sig gøre. Jeg afsætter en times tid til processen og tager fuld backup inden jeg påbegynder udredningen.

Er dit nuværende setup kompatibelt med PHP 7.2, klarer jeg det hele for dig. Er det ikke kompatibelt, så se næste punkt.

3. Vi rykker din hjemmeside i DIVI

Såfremt dit nuværende setup ikke er kompatibelt med PHP 7.2, kan jeg tilbyde dig at vi rykker din hjemmeside over i temaet DIVI.

DIVI er verdens mest populære og supporterede tema, og jeg anvender WordPress temaet DIVI til stor fornøjelse, hver gang jeg designer hjemmesider i dag.

Jeg kan tilbyde dig en budgetløsning eller en ambitiøs hjemmeside. En budgetløsning kunne være et hurtigt design såsom hjemmesiden for psykologen Margit Novland, mens en ambitiøs løsning kunne være i stil med leasingselskabet RB Eriksen eller flyttefirmaet Nemovo.

Valget er dit og afhænger af dine ønsker, behov og budgetter.

 

Få hurtig hjælp – nu!